Package ghidra.util

# Class BoundedInputStream

java.lang.Object
java.io.InputStream
ghidra.util.BoundedInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class BoundedInputStream extends InputStream
`InputStream` wrapper that limits itself to a portion of the wrapped stream.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BoundedInputStream(InputStream wrappedInputStream, long size)`
  Creates a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `int`
  `read()`
  `int`
  `read(byte[] b, int off, int len)`
  `long`
  `skip(long n)`

  ### Methods inherited from class java.io.InputStream

  `available, mark, markSupported, nullInputStream, read, readAllBytes, readNBytes, readNBytes, reset, skipNBytes, transferTo`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BoundedInputStream

    public BoundedInputStream(InputStream wrappedInputStream, long size)
    Creates a new instance.
    Parameters:
      `wrappedInputStream` - `InputStream` to wrap, already positioned to the desired starting position.
      `size` - number of bytes to allow this wrapper to read.

- ## Method Details

  - ### read

    public int read() throws IOException
    Specified by:
      `read` in class `InputStream`
    Throws:
      `IOException`

  - ### read

    public int read(byte[] b, int off, int len) throws IOException
    Overrides:
      `read` in class `InputStream`
    Throws:
      `IOException`

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Overrides:
      `close` in class `InputStream`
    Throws:
      `IOException`

  - ### skip

    public long skip(long n) throws IOException
    Overrides:
      `skip` in class `InputStream`
    Throws:
      `IOException`